Shopify
Order Items
GET
Retrieve Shopify order line items with SKU, pricing, and discounts
ClientIdAuthClientSecretAuthheader
x-client-id<token>Client ID
header
x-client-secret<token>Client secret
organizationId*stringOrganization identifier (required)
integrationId?stringShopify integration identifier
integrationName?stringShopify integration name
orderId?stringFilter by order ID
orderName?stringFilter by order name/#
productId?stringFilter by product ID
id?stringFilter by line item ID
name?stringFilter by line item name
quantity?integerFilter by quantity
page?integerPage number (default 1)
Default
1limit?integerItems per page (default 500, max 5000)
Range
value <= 5000Default
500orderCreatedStart?stringFilter by order creation datetime start
Format
date-timeorderCreatedEnd?stringFilter by order creation datetime end
Format
date-timeShopify order items response
application/json- response
data?array<>meta?curl -X GET "https://example.com/v1/shopify/orders-items?organizationId=org_123"{ "data": [ { "id": "string", "name": "string", "quantity": 0, "sku": "string", "title": "string", "current_quantity": 0, "is_gift_card": true, "order_id": "string", "order_name": "string", "order_created_at": "2019-08-24T14:15:22Z", "original_total_set_presentment_money_amount": 0.1, "original_total_set_presentment_money_currency_code": "string", "original_unit_price_set_presentment_money_amount": 0.1, "original_unit_price_set_presentment_money_currency_code": "string", "total_discount_set_presentment_money_amount": 0.1, "total_discount_set_presentment_money_currency_code": "string", "product_id": "string", "product_handle": "string", "product_title": "string", "integration_id": "string", "organization_id": "string", "document_id": "string", "integration_name": "string", "inserted_at": "2019-08-24T14:15:22Z" } ], "meta": { "page": 0, "limit": 0, "hasNextPage": true, "hasPreviousPage": true }}